Package weka.core

# Class TechnicalInformationHandlerJavadoc

java.lang.Object
weka.core.Javadoc
weka.core.TechnicalInformationHandlerJavadoc

All Implemented Interfaces:
  `OptionHandler`, `RevisionHandler`

public class TechnicalInformationHandlerJavadoc extends Javadoc
Generates Javadoc comments from the TechnicalInformationHandler's data. Update the BibTex references and the plaintext techincal information.
Valid options are:

     -W <classname>
      The class to load.

     -nostars
      Suppresses the '*' in the Javadoc.

     -dir <dir>
      The directory above the package hierarchy of the class.

     -silent
      Suppresses printing in the console.

     -noprolog
      Suppresses the 'BibTex:' prolog in the Javadoc.

Version:
  $Revision: 14293 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - `PLAINTEXT_STARTTAG`
  - `PLAINTEXT_ENDTAG`
  - `BIBTEX_STARTTAG`
  - `BIBTEX_ENDTAG`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BIBTEX_ENDTAG`
  the end comment tag for inserting the generated BibTex
  `static final String`
  `BIBTEX_STARTTAG`
  the start comment tag for inserting the generated BibTex
  `static final String`
  `PLAINTEXT_ENDTAG`
  the end comment tag for inserting the generated BibTex
  `static final String`
  `PLAINTEXT_STARTTAG`
  the start comment tag for inserting the generated BibTex

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TechnicalInformationHandlerJavadoc()`
  default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getOptions()`
  Gets the current settings of this object.
  `boolean`
  `getProlog()`
  whether "Valid options are..." prolog is included in the Javadoc
  `String`
  `getRevision()`
  Returns the revision string.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `static void`
  `main(String[] args)`
  Parses the given commandline parameters and generates the Javadoc.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.
  `void`
  `setProlog(boolean value)`
  sets whether to add the "Valid options are..." prolog

  ### Methods inherited from class weka.core.Javadoc

  `generate, generateHelp, getClassname, getDir, getSilent, getUseStars, setClassname, setDir, setSilent, setUseStars, updateJavadoc`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PLAINTEXT_STARTTAG

    public static final String PLAINTEXT_STARTTAG
    the start comment tag for inserting the generated BibTex
    See Also:
      - Constant Field Values

  - ### PLAINTEXT_ENDTAG

    public static final String PLAINTEXT_ENDTAG
    the end comment tag for inserting the generated BibTex
    See Also:
      - Constant Field Values

  - ### BIBTEX_STARTTAG

    public static final String BIBTEX_STARTTAG
    the start comment tag for inserting the generated BibTex
    See Also:
      - Constant Field Values

  - ### BIBTEX_ENDTAG

    public static final String BIBTEX_ENDTAG
    the end comment tag for inserting the generated BibTex
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TechnicalInformationHandlerJavadoc

    public TechnicalInformationHandlerJavadoc()
    default constructor

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `Javadoc`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.
    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `Javadoc`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of this object.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `Javadoc`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### setProlog

    public void setProlog(boolean value)
    sets whether to add the "Valid options are..." prolog
    Parameters:
      `value` - true if the prolog is to be used

  - ### getProlog

    public boolean getProlog()
    whether "Valid options are..." prolog is included in the Javadoc
    Returns:
      whether the prolog is currently used

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Returns:
      the revision

  - ### main

    public static void main(String[] args)
    Parses the given commandline parameters and generates the Javadoc.
    Parameters:
      `args` - the commandline parameters for the object